Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.xml.parsers
Class DOMParser

    java.lang.Object
      |
      +--com.ibm.xml.parsers.NonValidatingDOMParser
            |
            +--com.ibm.xml.parsers.DOMParser

Deprecated. The W3C's DOM L3 working group will specify a standardized API for parser instantiation. XML4J and Xerces will switch to this API when it becomes available

public class DOMParser
extends NonValidatingDOMParser

DOMParser exists to provide backwards compatibility with XML4J V2.0

Version:
  87 1.1 xml4j3/src/com/ibm/xml/parsers/DOMParser.java, xml4j3, xml4j3_0_1

Fields inherited from class com.ibm.xml.parsers.NonValidatingDOMParser
`DEFERRED, fParser, FULL`

Constructor Summary
`DOMParser()` Deprecated.

Methods inherited from class com.ibm.xml.parsers.NonValidatingDOMParser
`getCurrentNode, getDocument, getExpandEntityReferences, getNodeExpansion, parse, parse, reset, resetOrCopy, setDocumentClass, setErrorHandler, setExpandEntityReferences, setLocale, setNodeExpansion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMParser

    public DOMParser()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD